<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__crypto__ecc__dp__type" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_crypto_ecc_dp_type</compoundname>
    <includes local="no">cy_crypto_core_ecc.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__crypto__ecc__dp__type_1a60f714edeaf62ba185dcb4116b6895f4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__crypto__lld__asymmetric__enums_1ga03e136772067494dd44c027b354ce41b">cy_en_crypto_ecc_curve_id_t</ref></type>
        <definition>cy_en_crypto_ecc_curve_id_t cy_stc_crypto_ecc_dp_type::id</definition>
        <argsstring />
        <name>id</name>
        <briefdescription>
<para>The curve ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="49" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="49" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__dp__type_1a95be0f2a7f0744d067f269c57415982c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_ecc_dp_type::size</definition>
        <argsstring />
        <name>size</name>
        <briefdescription>
<para>The size of the curve in bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="51" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="51" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__dp__type_1ab82d2c5a88601262a08abccf2a78c335" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="member" refid="group__group__syslib__macros_1ga40bb5262bf908c328fbcfbe5d29d0201">char_t</ref> *</type>
        <definition>const char_t* cy_stc_crypto_ecc_dp_type::name</definition>
        <argsstring />
        <name>name</name>
        <briefdescription>
<para>name of curve </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="53" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__dp__type_1a21a15ceafa7b448925b7239872aad5a9" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_en_crypto_ecc_red_mul_algs_t</type>
        <definition>cy_en_crypto_ecc_red_mul_algs_t cy_stc_crypto_ecc_dp_type::algo</definition>
        <argsstring />
        <name>algo</name>
        <briefdescription>
<para>ECC calculation default algorithm. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="55" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__dp__type_1a4ec7bbd0ab6b5dbdf61a80986138730e" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_crypto_ecc_dp_type::prime</definition>
        <argsstring />
        <name>prime</name>
        <briefdescription>
<para>The prime that defines the field the curve is in (encoded in hex) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="57" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__dp__type_1a32985516423929455def0b6a6ce8523e" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_crypto_ecc_dp_type::barrett_p</definition>
        <argsstring />
        <name>barrett_p</name>
        <briefdescription>
<para>Barrett coefficient for reduction modulo ECC prime (hex) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="59" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__dp__type_1a3443f7da3a3fc50869c2a04ea497654c" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_crypto_ecc_dp_type::order</definition>
        <argsstring />
        <name>order</name>
        <briefdescription>
<para>The order of the curve (hex) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="61" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__dp__type_1a9cd2894c6d48d780736fded492222b01" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_crypto_ecc_dp_type::barrett_o</definition>
        <argsstring />
        <name>barrett_o</name>
        <briefdescription>
<para>Barrett coefficient for reduction modulo ECC order (hex) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="63" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="63" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__dp__type_1afaa676872b1fbc0b6e6874cfe094bf45" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_crypto_ecc_dp_type::Gx</definition>
        <argsstring />
        <name>Gx</name>
        <briefdescription>
<para>The x co-ordinate of the base point on the curve (hex) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="65" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__ecc__dp__type_1a5e622c68bec0d723529dfe1050c2be30" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_crypto_ecc_dp_type::Gy</definition>
        <argsstring />
        <name>Gy</name>
        <briefdescription>
<para>The y co-ordinate of the base point on the curve (hex) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="67" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="67" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure defines a NIST GF(p) curve. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="68" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" bodystart="47" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_ecc.h" line="47" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__crypto__ecc__dp__type_1a21a15ceafa7b448925b7239872aad5a9" virt="non-virtual"><scope>cy_stc_crypto_ecc_dp_type</scope><name>algo</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__dp__type_1a9cd2894c6d48d780736fded492222b01" virt="non-virtual"><scope>cy_stc_crypto_ecc_dp_type</scope><name>barrett_o</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__dp__type_1a32985516423929455def0b6a6ce8523e" virt="non-virtual"><scope>cy_stc_crypto_ecc_dp_type</scope><name>barrett_p</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__dp__type_1afaa676872b1fbc0b6e6874cfe094bf45" virt="non-virtual"><scope>cy_stc_crypto_ecc_dp_type</scope><name>Gx</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__dp__type_1a5e622c68bec0d723529dfe1050c2be30" virt="non-virtual"><scope>cy_stc_crypto_ecc_dp_type</scope><name>Gy</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__dp__type_1a60f714edeaf62ba185dcb4116b6895f4" virt="non-virtual"><scope>cy_stc_crypto_ecc_dp_type</scope><name>id</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__dp__type_1ab82d2c5a88601262a08abccf2a78c335" virt="non-virtual"><scope>cy_stc_crypto_ecc_dp_type</scope><name>name</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__dp__type_1a3443f7da3a3fc50869c2a04ea497654c" virt="non-virtual"><scope>cy_stc_crypto_ecc_dp_type</scope><name>order</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__dp__type_1a4ec7bbd0ab6b5dbdf61a80986138730e" virt="non-virtual"><scope>cy_stc_crypto_ecc_dp_type</scope><name>prime</name></member>
      <member prot="public" refid="structcy__stc__crypto__ecc__dp__type_1a95be0f2a7f0744d067f269c57415982c" virt="non-virtual"><scope>cy_stc_crypto_ecc_dp_type</scope><name>size</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>